CentOS Update for net-snmp CESA-2014:0322 centos5

Published: 2014-03-25 04:49:49
CVE Author: NIST National Vulnerability Database

CVSS Base Vector:
AV:N/AC:M/Au:N/C:N/I:N/A:P

Affected Versions:
net-snmp on CentOS 5

Technical Details:
The net-snmp Linux Distribution Packages provide various libraries and tools for the Simple Network Management Protocol (SNMP), including an SNMP library, an extensible agent, tools for requesting or setting information from SNMP agents, tools for generating and handling SNMP traps, a version of the netstat command which uses SNMP, and a Tk/Perl Management Information Base (MIB) browser. A denial of service flaw was found in the way snmpd, the Net-SNMP daemon, handled subagent timeouts. A remote attacker able to trigger a subagent timeout could use this flaw to cause snmpd to loop infinitely or crash. (CVE-2012-6151) A denial of service flaw was found in the way the snmptrapd service, which receives and logs SNMP trap messages, handled SNMP trap requests with an empty community string when the Perl handler (provided by the net-snmp-perl Linux Distribution Package) was enabled. A remote attacker could use this flaw to crash snmptrapd by sending a trap request with an empty community string. (CVE-2014-2285) All net-snmp users are advised to upgrade to these updated Linux Distribution Packages, which contain backported patches to correct these issues. After installing this update, the snmpd and snmptrapd services will be restarted automatically.

Recommendations:
Please install the updated Linux Distribution Packages.

Detection Type:
Linux Distribution Package

Solution Type:
Vendor Patch

Summary:
The remote host is missing an update for the 'net-snmp' Linux Distribution Package(s) announced via the referenced advisory.

NIST (National Institute of Standards and Technology) NVD (National Vulnerability Database)

https://nvd.nist.gov/vuln/detail/CVE-2012-6151
https://nvd.nist.gov/vuln/detail/CVE-2014-2285

CVE Analysis

https://www.mageni.net/cve/CVE-2012-6151
https://www.mageni.net/cve/CVE-2014-2285

References:

http://lists.centos.org/pipermail/centos-announce/2014-March/020223.html

Severity
Medium
CVSS Score
4.3
Published
2014-03-25
Modified
2019-03-15
Category
CentOS Local Security Checks

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities. It is free and always will be.